package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SysLogUserLogin;

import java.util.List;

/**
 * @Description : 用户登录日志
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-08-31 11:47
 * @Modify:
 **/
public interface ISysLogUserLoginService {

    /**
     * 用户登录日志分页查询
     * @param sysLogUserLogin 查询条件
     * @param pager 分页信息
     * @return 查询结果
     */
    ListPager<SysLogUserLogin> querySysLogUserLoginByPager(SysLogUserLogin sysLogUserLogin, Pager pager);

    /**
     * 用户登录日志查询
     * @param sysLogUserLogin 查询条件
     * @return 查询结果
     */
    List<SysLogUserLogin> findSysUserLoginList(SysLogUserLogin sysLogUserLogin);

}
