package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.SysSmsSign;
import cn.estsh.impp.framework.base.service.ICrudService;

/**
 * @Description : 短信签名
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-12-14 20:13
 * @Modify:
 **/
public interface ISysSmsSignService extends ICrudService<SysSmsSign> {

    /**
     * 检查签名是否唯一
     *
     * @param sysSmsSign 签名信息
     * @return 检查结果
     */
    boolean checkSysSignOnly(SysSmsSign sysSmsSign);

    /**
     * 根据代码查询短信签名
     *
     * @param code 签名代码
     * @return 查询结果
     */
    SysSmsSign getSysSmsSignByCode(String code);

}
