package test.cn.estsh.i3plus.core.apiservice.util;

import cn.estsh.i3plus.platform.common.tool.ExcelTool;
import cn.estsh.i3plus.platform.common.util.CommonConstWords;
import cn.estsh.i3plus.pojo.platform.bean.SysTool;
import cn.estsh.impp.framework.boot.util.ImppRedis;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import test.cn.estsh.i3plus.core.apiservice.serviceimpl.busi.TestBase;

import javax.annotation.Resource;
import javax.persistence.EntityManager;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.util.List;

/**
 * @Description : excel导入导出测试
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-11-21 19:44
 * @Modify:
 **/
public class TestExcelUtil extends TestBase {


    @Test
    public void TestExportData(){

    }


    @Autowired
    private EntityManager entityManager;

    @Resource(name = CommonConstWords.IMPP_REDIS_RES)
    private ImppRedis redisRes;

    @Test
    public void importData() throws Exception{
        try {
            ExcelTool excelTool = new ExcelTool(entityManager, redisRes);
            List sy = excelTool.importData("testOut.xls", new FileInputStream("E://testOut.xls"), SysTool.class);
            System.out.println(sy);
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }
}
