package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.SysUserCustomizeConfig;
import cn.estsh.impp.framework.base.service.ICrudService;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-08-10 15:35
 * @Modify:
 **/
public interface ISysUserCustomizeConfigService extends ICrudService<SysUserCustomizeConfig> {

    /**
     * 校验客户定制化配置是否唯一
     * @param sysUserCustomizeConfig
     * @return
     */
    boolean checkSysUserCustomizeConfigOnly(SysUserCustomizeConfig sysUserCustomizeConfig);

    /**
     * 按条件查询指定的用户定制化配置
     * @param sysUserCustomizeConfig
     * @return
     */
    SysUserCustomizeConfig getSysUserCustomizeConfigByCondition(SysUserCustomizeConfig sysUserCustomizeConfig);

}
