package cn.estsh.i3plus.core.api.iservice.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : 对外菜单dto
 * @Reference :
 * @Author : zhangxw
 * @CreateDate :2022/7/23 0023
 **/
@Data
public class SysMenuDTO implements Serializable {

    private static final long serialVersionUID = -4365785452541938586L;
    /**
     * 菜单id
     */
    private long id;
    /**
     * 父菜单id
     */
    private long parentId;
    /**
     * 组织编码
     */
    private String organizeCode;
    /**
     * 菜单code
     */
    private String menuCode;
    /**
     * 菜单名称
     */
    private String name;
    /**
     * 父类菜单名称
     */
    private String parentNameRdd;
    /**
     * 菜单排序id
     */
    private Integer menuSort;
    /**
     * url路径
     */
    private String menuUrl;
    /**
     * 子菜单
     */
    private List<SysMenuDTO> childList;

}
