package cn.estsh.i3plus.core.apiservice.schedulejob;

import cn.estsh.i3plus.core.api.iservice.base.ISysLogService;
import cn.estsh.impp.framework.base.schedule.BaseImppScheduleJob;
import cn.estsh.impp.framework.boot.init.ApplicationProperties;
import org.quartz.DisallowConcurrentExecution;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description :
 * @Reference : 日志清除
 * @Author : yunhao
 * @CreateDate : 2019-07-04 19:13
 * @Modify:
 **/
@Component
@DisallowConcurrentExecution
public class CoreLogClearJob extends BaseImppScheduleJob {

    public static final Logger LOGGER = LoggerFactory.getLogger(CoreLogClearJob.class);
    private static final long serialVersionUID = 2706787898778108791L;

    public CoreLogClearJob() {
        super(CoreLogClearJob.class, "日志清除");
    }

    @Autowired
    private ISysLogService logService;

    @Override
    public void executeImppJob(JobExecutionContext context, ApplicationProperties applicationProperties) {
        return;
//        int to = RedisCacheTool.getSysConfigIntVal(CommonConstWords.LOG_STORAGE_DAYS, CommonConstWords.LOG_STORAGE_DAYS_DEFAULT);
//        Date thisTime = TimeTool.timeCalc(new Date(), Calendar.DAY_OF_MONTH, -2 - to);
//        String startTime = TimeTool.getToday(thisTime) + " 00:00:00";
//        String endTime = TimeTool.getToday(TimeTool.timeCalc(thisTime, Calendar.DAY_OF_MONTH, to)) + " 23:59:59";
//        logService.actionCleanLog(startTime,endTime);
    }

}
