package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysLogRoleChangeService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.platform.bean.SysLogRoleChange;
import cn.estsh.i3plus.pojo.platform.repository.SysLogRoleChangeRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 用户登录日志
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-08-31 11:51
 * @Modify:
 **/
@Service
public class SysLogRoleChangeService implements ISysLogRoleChangeService {

    @Autowired
    private SysLogRoleChangeRepository logRoleChangeRepository;


    @Override
    public List<SysLogRoleChange> findLogsBetweenDatetime(String startDatetime, String endDatetime) {
        DdlPackBean packBean = DdlPackBean.getDdlPackBean();
        DdlPreparedPack.timeBuilder(startDatetime, endDatetime, "createDatetime", true, true, packBean);
        return logRoleChangeRepository.findByHqlWhere(packBean);
    }
}
