package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysSoftUpdateRecordService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.platform.bean.SysSoftUpdateRecord;
import cn.estsh.i3plus.pojo.platform.sqlpack.CoreHqlPack;
import cn.estsh.impp.framework.base.service.CrudService;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-09-14 13:18
 * @Modify:
 **/
@Service
public class SysSoftUpdateRecordService extends CrudService<SysSoftUpdateRecord> implements ISysSoftUpdateRecordService {

    @Override
    public DdlPackBean getFindPagerPackBean(SysSoftUpdateRecord bean) {
        return CoreHqlPack.packHqlQuerySysSoftUpdateRecord(bean);
    }

    /**
     * 软件更新记录是否唯一
     *
     * @param sysSoftUpdateRecord
     * @return
     */
    @Override
    public boolean checkSysSoftUpdateRecordOnly(SysSoftUpdateRecord sysSoftUpdateRecord) {
        return !baseRepository.isExitByHql(CoreHqlPack.packHqlCheckSysSoftUpdateRecordOnly(sysSoftUpdateRecord));
    }
}
