package test.cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysToolService;
import cn.estsh.i3plus.pojo.platform.bean.SysTool;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description :
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-02-25 14:39
 * @Modify:
 **/
public class TestUser extends TestBase {

    @Autowired
    private ISysToolService toolService;

    @Test
    public void testTrans() {
        for (int i = 0; i < 20; i++) {
            new Thread("Save Thread -> " + i) {
                @Override
                public void run() {
                    for (int j = 0; j < 10; j++) {
                        SysTool tool = new SysTool();
                        tool.setName(Thread.currentThread().getName() + "_" + System.currentTimeMillis());
                        tool.setToolIp("192.168.3.40");
                        tool.setToolPort(9090);
                        tool.setToolDescription(Thread.currentThread().getName());

                        System.out.println(toolService.saveSysTool(tool));
                    }
                }
            }.start();
        }

        for (int i = 0; i < 20; i++) {
            new Thread("Read Thread -> " + i) {
                @Override
                public void run() {
                    for (int j = 0; j < 10; j++) {
                        System.out.println(toolService.findSysToolByTop(j * 3));
                    }
                }
            }.start();
        }

    }


}
